mozdev.org

Übersetzungen: cz | de | en | es | fr | ja | nl | pl | zh

Plugins für Mozilla Firefox unter Windows

Neueste Themen

Upgrade auf Java Runtime Environment 5.0 Update 6

Sun Microsystems veröffentlichte kürzlich Java Runtime Environment 5.0 Update 6. Diese neue Version behebt viele Probleme mit älteren Versionen des JRE, darunter das Abstürzen beim Verlassen, wenn der Windows Media Player benutzt wurde unter Windows 2000. Ein Update wird dringend empfohlen.

Flash Player 8.0 funktioniert nicht, falls Sie AdBlock mit aktivierten OBJ-TABS benutzen

Dieses Verhalten beruht auf Bug 309044. Um OBJ-TABS zu deaktivieren, tun Sie bitte folgendes:

  1. Öffnen Sie die Adblock-Einstellungen (In Firefox unter Extras -> AdBlock -> Optionen)
  2. Klicken Sie auf "Adblock Einstellungen", und entfernen Sie das Häkchen vor "Obj-Tabs"

Es gibt eine aktualisierte Version, die einen teilweise Behebung dieses Problems beinhaltet. Weitere Informationen finden Sie in diesem Thread im Adblock-Forum. Alternativ können Sie AdBlock Plus nutzen, womit dieses Problem nicht auftritt.

SVG-Unterstützung in Firefox 1.5 Beta 1 auf vor-Windows XP-Systemen nutzen

Firefox 1.5 hat eine eingebaute SVG-Unterstützung, die den GDI+ Renderer nutzt. Nur Windows XP und neuer wird mit der Datei gdiplus.dll ausgeliefert, die dazu zwingend benötigt wird. Um die SVG-Unterstützung auch in älteren Windows-Systemen nutzen zu können, müssen Sie das GDI+ Redistributable Package herunterladen und die Datei gdiplus.dll in das Verzeichnis kopieren, in das Sie Mozilla Firefox installiert haben. (normalerweise ist das C:\Programme\Mozilla Firefox). Sie müssen Firefox neu starten, nachdem Sie das erledigt haben.

Firefox 1.5 Beta 2 and höher nutzen die Cairo-Rendering-Engine und benötigen diese Datei daher nicht.

[GDI+ Redistributable Package herunterladen]

Text in SVG-Dateien wird unter Windows 9x nicht dargestellt

Firefox 1.5 Beta 2 und höher nutzt die Cairo-Rendering-Engine für SVG, die bekannte Probleme mit der Textdarstellung unter Windows 9x hat. Eine inoffizielle Version von Firefox 1.5, die wie Beta 1 wieder den GDI+ Renderer nutzt, wird möglicherweise vom Mozilla SVG Project veröffentlicht. Falls das der Fall ist, wird diesem Dokument ein Link dorthin hinzugefügt.

Die wichtigsten Plugins

Wie installiere ich Macromedia Flash Player?

Um den Macromedia Flash Player zu installieren, laden Sie sich das Programm in der Version 8 herunter und starten das Installationsprogramm. Mozilla Firefox sollte in der Liste der Browser, für die das Plugin installiert werden kann erscheinen. Alternativ können Sie das XPI-Paket verwenden, das von Macromedia bereitgestellt wird.

Weitere Informationen, sowie eine Liste bekannter Probleme erhalten Sie bei der Macromedia Flash Player FAQ.

[Macromedia Flash Player 8 installieren], [Download Macromedia Flash Player 8]

Wie installiere ich Java?

Um JRE 5.0 für die Benutzung mit Firefox zu installieren, laden Sie sich einfach das JRE-Installationsprogramm herunter und führen es aus. Firefox wird das neue JRE automatisch benutzen. Falls Sie ältere JRE-Versionen (wie z.B. 1.4.2) installiert haben, sollten Sie diese entfernen, außer Sie brauchen diese weiterhin für Entwicklungsaufgaben (oder benötigen sie für bestimmte sonstige Aufgaben)

Weitere Informationen, sowie eine Liste bekannter Probleme erhalten Sie bei der Java FAQ.

[Java Runtime Environment 5.0 Update 6 herunterladen]

Wie installiere ich Adobe Reader?

Wenn Sie den Adobe Reader (oder Adobe Acrobat Reader 5.x) bereits installiert haben, so wird Mozilla Firefox das Plugin selbstständig erkennen.

Sollten Sie den Adobe Reader nach Mozilla Firefox installieren, so wird das Installationsprogramm des Adobe Reader automatisch das Plugin für Mozilla Firefox installieren.

Weitere Informationen, sowie eine Liste bekannter Probleme erhalten Sie bei der Acrobat Reader FAQ.

[Adobe Reader 7.0.5 herunterladen]

Wie installiere ich den Macromedia Shockwave Player?

Um den Macromedia Flash Player zu installieren, laden Sie sich das Programm in der Version 7 herunter und starten das Installationsprogramm. Mozilla Firefox sollte in der Liste der Browser, für die das Plugin installiert werden kann erscheinen.

Achtung: Sollten Sie weder Windows 98 noch 2000 bzw. XP verwenden, so müssen Sie anstatt des Macromedia Shockwave Player 10 den Macromedia Shockwave Player 8.5.1 installieren.

[Download Macromedia Shockwave Player 10] [Download Macromedia Shockwave Player 8.5.1]

Wie installiere ich QuickTime?

Sollten Sie QuickTime 5.0 oder neuer bereits installiert haben, so wird Mozilla Firefox das Plugin automatisch verwenden.

Sollten Sie QuickTime nach Mozilla Firefox installieren, so wird das QuickTime-Installationsprogramm das Plugins für Mozilla Firefox automatisch installieren.

Beachten Sie: QuickTime 7.0 ist jetzt für den Beta-Test verfügbar. Zwar sollte auch die neue Version zusammen mit Firefox, Mozilla und Netscape ohne Probleme funktionieren, jedoch wurde das bislang noch nicht überprüft.

[Download QuickTime 7]

Wie installiere ich den RealPlayer 10?

Sollten Sie RealPlayer 10 bereits installiert haben, so wird Mozilla Firefox das Plugin automatisch verwenden. Sollte das Plugin nicht erkannt werden, so installieren Sie den RealPlayer 10 neu.

Important! Es wurde gemeldet, dass die Scripting-Unterstützung nicht funktioniert, falls Sie Mozilla Firefox nach dem RealPlayer installieren. Falls dies bei Ihnen der Fall ist, installieren Sie den RealPlayer einfach noch einmal.

Sollten Sie den RealPlayer 10 nach Mozilla Firefox installieren, so wird das Installationsprogramm das Plugins für Mozilla Firefox automatisch installieren.

[Download RealPlayer 10]

Wie installiere ich andere Plugins?

Mozilla Firefox unterstützt alle Plugins, die von Mozilla 1.x unterstützt werden. Weitere Informationen zur Installations anderer Plugins finden Sie in der PluginDoc für Windows.

Fragen zur Plugin-Unterstützung

Kann ich die Flash und Shockwave Plugins des Internet Explorer verwenden?

Nein. Mozilla die vom Internet Explorer verwendeten Flash- und Shockwaveplugins nicht, da diese ActiveX controls sind.

Kann ich Microsofts Java VM verwenden?

Nein. Es gibt kein Netscape-kompatibles Plugin für die Microsoft Java VM. Die Entwicklung der Microsoft Java VM wurde abgebrochen, an ihrer Stelle solle die Sun Java VM verwendet werden.

Kann ich Plugins für Netscape 4.x verwenden?

Ja. Versichern Sie sich, dass die Netscape 4.x-Plugin-Suche aktiviert ist und dass nach allen Plugins gesucht wird. Lesen Sie dazu auch folgenden Artikel:

[Weitere Informationen...]

Kann ich Plugins, die für Mozilla installiert wurden verwenden?

Ja. Bei Plugins, die keinen Scripting Support benötigen genügt es oft, die DLL-Datei, die bei about:plugins aufgeführt wird in das Mozilla Firefox Plugin-Verzeichnis zu kopieren. Normalerweise ist es jedoch besser, das Plugin erneut zu installieren, so dass korrekt für Firefox installiert wird.

Kann ich ActiveX controls verwenden?

Ja, es wird jedoch nicht empfohlen.

Es gibt ein ActiveX Plugin für Mozilla. Jedoch kann dieses Probleme wie z.B. Abstürze oder Konflikte mit bereits installierten Plugins verursachen. Es wird nicht empfohlen, dieses Plugin zu installieren, es sei denn Sie sind aus einem besonderen Grund darauf angewiesen oder nutzen es um ein bestimmtes Problem zu lösen (und konfigurieren es dann entsprechend). Sollten Sie nach der Installation des Plugins Probleme bekommen, so werden Ihnen viele einfach nur raten das Plugin wieder zu deinstallieren. Sie wurden gewarnt!

Bekannte Probleme

Mozilla Firefox fordert mich immer wieder auf Plugins zu installieren. Wie kann ich das unterbinden?

Geben Sie about:config in die Adresszeile ein und setzen Sie plugin.default_plugin_disabled auf den Wert false. Dann löschen Sie die Datei npnul32.dll aus Ihrem Mozilla Firefox plugins-Verzeichnis. Hierzu muss die Anzeige versteckter Dateien aktiviert sein.

Ich habe Windows Media Player 9.0 installiert. Warum verwendet Mozilla Firefox den Windows Media Player 6.4?

Dieses Problem des Installationsprogramm des Windows Media Player 9.0 ist bekannt. Laden Sie sich diesen Registry-Eintrag herunter und fügen ihn durch einen Doppelklick zu Ihrer Registry hinzu. Nun wird Mozilla Firefox den Windows Media Player 9.0 verwenden.

[Bug 193883]

Warum stürzt Mozilla Firefox ab, wenn ich das Programm schließe, nachdem ich das Windows Media Player 9.0 Plugin verwendet habe?

Dieses Problem ist bekannt und tritt bem Windows Media Player Plugin in Verbindung mit einigen Windows 2000 Systemen auf. Um das Problem zu lösen sollten Sie Windows Media Player 9.0 Plugin verzeichten, oder das Active X control verwenden, so wie das Netscape 7.1 tut. Eine Anleitung zu Verwendeung des ActiveX Plugins zur lediglichen Aktivierung des Windows Media Players wird eventuell in einer seperaten FAQ zu einem späteren Zeitpunkt veröffentlicht.

[Bug 244713]

Ich habe das Macromedia Shockwave Player unter Windows XP installiert. Warum funktioniert es nicht?

Auf einigen Windows XP Systemen läuft der Macromedia Shockwave Player nicht, es sei denn, Sie betreiben Mozilla Firefox unter dem Kompatibilitätsmodus für Windows 2000.

[Bug 225894]

Weitere Hilfe

Meine Frage wurde in dieser FAQ nicht beantwortet. Wo kann ich sie stellen?

Wenn Sie eine Frage haben, die hier nicht geklärt wurde, so durchsuchen Sie bitte das deutsche Mozilla Firefox-Forum um zu sehen, ob das Problem bereits genannt wurde. Sollte dies nicht der Fall sein und hilft Ihnen diese FAQ auch nicht weiter, so können Sie zu Ihrem Problem in diesem Forum einen neuen Beitrag eröffnen.

Wie kann ich bei dieser FAQ mitwirken?

Wenn Sie bei dieser FAQ mitwirken wollen, so schicken Sie bitte eine Email an Michael Hendy (englisch).